<!-- 承租人 -->
<template>
  <list-item :item-height="44">
    <item v-for="(ele, i) of formdata" :key="ele.title">
      <div slot="name" class="font-color">{{ ele.title }}</div>
      <span slot="content" v-if="ele.type === 'currency'">{{ lesseeData[ele.prop] || currency }}</span>
      <span slot="content" v-else-if="ele.type === 'bool'">{{ lesseeData[ele.prop] === 'Y' ? '是' : '否' }}</span>
      <span slot="content" v-else="ele.type === 'text'">{{ lesseeData[ele.prop] }}</span>
    </item>
  </list-item>
</template>

<script>
export default {
  props: ["lesseeData"],
  data() {
    return {
    }
  },
  computed: {
    formdata() {
      return this.createForm()
    }
  },
  methods: {
    factory(arr) {
      let outArr = []
      if (arr.length) {
        arr.forEach(ele => {
          let [title, prop, type] = ele
          outArr.push({
            title: title || '',
            prop: prop || 'fdf',
            type: type || 'text'
          })
        });
      }
      return outArr
    },
    createForm() {
      let corporationFormArr = [
        ['公司名称', 'bp_id_tenant_n', 'text'],
        ['客户编码', 'BP_CODE', 'text'],
        ['企业类型', 'enterprise_type', 'text'],
        ['法定代表人', 'legal_person', 'text'],
        ['法人身份证号', 'id_card_no', 'text'],
        ['法人手机号', 'cell_phone', 'text'],
        ['注册资本(万元)', 'registered_capital', 'text'],
        ['法人联系地址', 'living_ad', 'text'],
        ['企业性质', 'enterpriese_nature_n', 'text'],
        ['注册地址', 'registered_place', 'text'],
        ['经营地址', 'business_address', 'text'],
        ['自有设备价值', 'equip_value_n', 'text'],
        ['设备保有量', 'equip_num_n', 'text'],
        ['工程合同', 'engineer_con_n', 'text'],
        ['农行代扣', 'abc_deduction_flag', 'bool'],
        ['是否授权', 'auth_flag', 'bool'],
        ['管家卡', 'bank_card_number', 'text'],
        ['合同补充条款', 'contract_supplementary_file', 'text'],
      ]

      let personalFormArr = [
        ['姓名', 'bp_id_tenant_n', 'text'],
        ['客户编码', 'bp_code', 'text'],
        ['身份证号', 'id_card_no', 'text'],
        ['手机号', 'cell_phone', 'text'],
        ['婚姻', 'marital_status_n', 'text'],
        ['职业情况', 'np_occupation_n', 'text'],
        ['自有设备价值', 'equip_value_n', 'text'],
        ['行业情况', 'np_industry_exp_n', 'text'],
        ['户籍地址', 'address_on_resident_booklit', 'text'],
        ['联系地址', 'living_address', 'text'],
        ['配偶姓名', 'bp_name_sp', 'text'],
        ['配偶手机号', 'spouse_phone', 'text'],
        ['房产类型', 'house_type_n', 'text'],
        ['配偶工作地址', 'working_place_sp', 'text'],
        ['配偶联系地址', 'address_sp', 'text'],
        ['农行代扣', 'abc_deduction_flag', 'bool'],
        ['是否抵押', 'mortgega_flag', 'bool'],
        ['管家卡', 'bank_card_number', 'text'],
        ['合同补充条款', 'contract_supplementary_file', 'text'],
      ]
      let nowForm = this.lesseeData.bp_class === 'NP' ? personalFormArr : corporationFormArr

      return this.factory(nowForm)
    }
  }
}
</script>

<style lang="less" scoped></style>